Name:           lxqt-desktop
Version:        1.0
Release:        1%{?dist}
Summary:        LXQt Desktop Demo Package

License:        GPLv2+
URL:            https://lxqt.org/

BuildArch:      noarch

Requires:       glib2 >= 2.80
Requires:       lxqt-session
Requires:       lxqt-panel
Requires:       lxqt-config
Requires:       lxqt-policykit
Requires:       lxqt-qtplugin
Requires:       pcmanfm-qt
Requires:       lximage-qt
Requires:       lxqt-notificationd
Requires:       lxqt-runner
Requires:       lxqt-archiver
Requires:       openbox
Requires:       sddm
Requires:       qterminal
Requires:       tigervnc-server
Requires:       xrdp
Requires:       firefox
Requires:       claws-mail
Requires:       vim-X11
Requires:       xcb-util
Requires:       xcb-util-image
Requires:       xcb-util-keysyms
Requires:       xcb-util-renderutil
Requires:       xcb-util-wm
Requires:       xcb-util-cursor
Requires:       pulseaudio
Requires:       pavucontrol
Requires:       xscreensaver
Requires:       pipewire-utils
Requires:       pipewire-plugin-jack
Requires:       pipewire-module-x11
Requires:       pipewire-media-session
Requires:       pipewire-alsa
Requires:       jack-audio-connection-kit
Recommends:     google-noto-cjk-fonts
Recommends:     google-noto-sans-cjk-sc-fonts
Recommends:     google-noto-sans-mono-cjk-sc-fonts
Recommends:     google-noto-sans-sc-fonts
Recommends:     google-noto-serif-cjk-sc-fonts
Recommends:     google-noto-serif-sc-fonts
Recommends:     libreoffice
Recommends:     mousepad
Recommends:     xournal
Recommends:     strawberry
Recommends:     abiword
Recommends:     mypaint
Recommends:     kvantum
Recommends:     materia-kde


%description
This package installs the LXQt desktop environment along with several essential packages, 
and sets up the VNC server to use LXQt with Openbox as the window manager.

%prep

%build

%install
mkdir -p %{buildroot}%{_sysconfdir}/lxqt-desktop
cat > %{buildroot}%{_sysconfdir}/lxqt-desktop/xstartup << 'EOF'
#!/bin/sh
unset SESSION_MANAGER
unset DBUS_SESSION_BUS_ADDRESS
exec openbox-session &
exec startlxqt &
EOF
chmod +x %{buildroot}%{_sysconfdir}/lxqt-desktop/xstartup

%post
for userdir in /home/*; do
    mkdir -p "$userdir/.vnc"
    cp %{_sysconfdir}/lxqt-desktop/xstartup $userdir/.vnc/xstartup
    chown $(basename $userdir):$(basename $userdir) $userdir/.vnc/xstartup
done

%files
%config(noreplace) %{_sysconfdir}/lxqt-desktop/xstartup

%changelog
* Thu Jun 27 2024 Yonghang Wang <wyhang@gmail.com> - 1.0-1
- Initial package

